Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class LibSubject

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Subject
oracle.security.xmlsec.liberty.v12.LibSubject`

public class LibSubject
extends oracle.security.xmlsec.saml.Subject

This class represents the Subject element of the type lib:SubjectType which is an extension of the saml:SubjectType with an addtion of the IDPProvidedNameIdentifier child element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LibSubject(org.w3c.dom.Document owner)` Creates a new `LibSubject` instance.
`LibSubject(org.w3c.dom.Element element)` Creates a new `LibSubject` instance from the given Element node.
`LibSubject(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `LibSubject` instance from the given Element node.

Method Summary
`IDPProvidedNameIdentifier` | `getIDPProvidedNameIdentifier()` Gets the IDPProvidedNameIdentifier element contained in this Subject element, or `null` if no IDPProvidedNameIdentifier element is present.
`void` | `setIDPProvidedNameIdentifier(IDPProvidedNameIdentifier idpNameIdentifier)` Sets the IDPProvidedNameIdentifier child element of this Subject element.

Methods inherited from class oracle.security.xmlsec.saml.Subject
`getNameIdentifier, getSubjectConfirmation, setNameIdentifier, setSubjectConfirmation`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibSubject

    public LibSubject(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `LibSubject` instance from the given Element node.
Parameters:
  `element` - A Subject element of lib:SubjectType.

### LibSubject

    public LibSubject(org.w3c.dom.Element element,
                      java.lang.String SystemId)
               throws org.w3c.dom.DOMException

  Creates a new `LibSubject` instance from the given Element node.
Parameters:
  `element` - A Subject element of lib:SubjectType..

### LibSubject

    public LibSubject(org.w3c.dom.Document owner)
               throws org.w3c.dom.DOMException

  Creates a new `LibSubject` instance.
Parameters:
  `owner` - The owner document of the new Subject element.

Method Detail

### setIDPProvidedNameIdentifier

    public void setIDPProvidedNameIdentifier(IDPProvidedNameIdentifier idpNameIdentifier)

  Sets the IDPProvidedNameIdentifier child element of this Subject element. The IDPProvidedNameIdentifier contains the name identifier provided by the identity provider at the time of federation.

### getIDPProvidedNameIdentifier

    public IDPProvidedNameIdentifier getIDPProvidedNameIdentifier()

  Gets the IDPProvidedNameIdentifier element contained in this Subject element, or `null` if no IDPProvidedNameIdentifier element is present.
  Returns:
    An `IDPProvidedNameIdentifier` object or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.